Index: arch/arm/def-configs/ep9301
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/ep9301,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/ep9301	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/ep9301	4 Aug 2004 01:25:37 -0000	1.2
@@ -586,7 +586,7 @@
 #
 # Sound
 #
-CONFIG_SOUND=n
+CONFIG_SOUND=y
 # CONFIG_SOUND_ALI5455 is not set
 # CONFIG_SOUND_BT878 is not set
 # CONFIG_SOUND_CMPCI is not set
@@ -608,7 +608,7 @@
 # CONFIG_SOUND_MSNDPIN is not set
 # CONFIG_SOUND_VIA82CXXX is not set
 # CONFIG_MIDI_VIA82CXXX is not set
-# CONFIG_SOUND_OSS=y
+CONFIG_SOUND_OSS=y
 # CONFIG_SOUND_TRACEINIT is not set
 # CONFIG_SOUND_DMAP is not set
 # CONFIG_SOUND_AD1816 is not set
@@ -619,8 +619,8 @@
 # CONFIG_SOUND_CS4232 is not set
 # CONFIG_SOUND_EP93XX_NONE is not set
 # CONFIG_SOUND_EP93XX_AC97 is not set
-# CONFIG_SOUND_EP93XX_I2S=y
-# CONFIG_CODEC_CS4271=y
+CONFIG_SOUND_EP93XX_I2S=y
+CONFIG_CODEC_CS4271=y
 # CONFIG_CODEC_CS4228A is not set
 # CONFIG_SOUND_SSCAPE is not set
 # CONFIG_SOUND_GUS is not set
Index: arch/arm/def-configs/ep9301_nfs
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/ep9301_nfs,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/ep9301_nfs	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/ep9301_nfs	4 Aug 2004 01:25:37 -0000	1.2
@@ -182,7 +182,7 @@
 # CONFIG_BINFMT_MISC is not set
 # CONFIG_PM is not set
 # CONFIG_ARTHUR is not set
-CONFIG_CMDLINE="root=/dev/nfs nfsroot=192.168.0.231:/nfsroot-arm ip=dhcp"
+CONFIG_CMDLINE="root=/dev/nfs nfsroot=<host ip>:<nfs mount dir> ip=dhcp"
 # CONFIG_ALIGNMENT_TRAP is not set
 
 #
@@ -364,36 +364,9 @@
 #
 # ATA/ATAPI/MFM/RLL support
 #
-CONFIG_IDE=y
-
-#
-# IDE, ATA and ATAPI Block devices
-#
-CONFIG_BLK_DEV_IDE=y
-# CONFIG_BLK_DEV_HD_IDE is not set
+# CONFIG_IDE is not set
+# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
-CONFIG_BLK_DEV_IDEDISK=y
-# CONFIG_IDEDISK_MULTI_MODE is not set
-# CONFIG_IDEDISK_STROKE is not set
-# CONFIG_BLK_DEV_IDECS is not set
-# CONFIG_BLK_DEV_IDECD is not set
-# CONFIG_BLK_DEV_IDETAPE is not set
-# CONFIG_BLK_DEV_IDEFLOPPY is not set
-# CONFIG_BLK_DEV_IDESCSI is not set
-# CONFIG_IDE_TASK_IOCTL is not set
-# CONFIG_BLK_DEV_CMD640 is not set
-# CONFIG_BLK_DEV_CMD640_ENHANCED is not set
-# CONFIG_BLK_DEV_ISAPNP is not set
-# CONFIG_BLK_DEV_EP93XX is not set
-CONFIG_BLK_DEV_TSCF=y
-# CONFIG_IDE_CHIPSETS is not set
-# CONFIG_IDEDMA_AUTO is not set
-# CONFIG_DMA_NONPCI is not set
-CONFIG_BLK_DEV_IDE_MODES=y
-# CONFIG_BLK_DEV_ATARAID is not set
-# CONFIG_BLK_DEV_ATARAID_PDC is not set
-# CONFIG_BLK_DEV_ATARAID_HPT is not set
-# CONFIG_BLK_DEV_ATARAID_SII is not set
 
 #
 # SCSI support
@@ -464,8 +437,7 @@
 # CONFIG_SERIAL_8250_HUB6 is not set
 CONFIG_SERIAL_CORE=y
 CONFIG_SERIAL_CORE_CONSOLE=y
-CONFIG_UNIX98_PTYS=y
-CONFIG_UNIX98_PTY_COUNT=1024
+# CONFIG_UNIX98_PTYS is not set
 
 #
 # I2C support
@@ -566,7 +538,7 @@
 CONFIG_DEVFS_FS=y
 CONFIG_DEVFS_MOUNT=y
 # CONFIG_DEVFS_DEBUG is not set
-CONFIG_DEVPTS_FS=y
+# CONFIG_DEVPTS_FS is not set
 # CONFIG_QNX4FS_FS is not set
 # CONFIG_QNX4FS_RW is not set
 CONFIG_ROMFS_FS=y
@@ -614,7 +586,68 @@
 #
 # Sound
 #
-# CONFIG_SOUND is not set
+CONFIG_SOUND=y
+# CONFIG_SOUND_ALI5455 is not set
+# CONFIG_SOUND_BT878 is not set
+# CONFIG_SOUND_CMPCI is not set
+# CONFIG_SOUND_EMU10K1 is not set
+# CONFIG_MIDI_EMU10K1 is not set
+# CONFIG_SOUND_FUSION is not set
+# CONFIG_SOUND_CS4281 is not set
+# CONFIG_SOUND_ES1370 is not set
+# CONFIG_SOUND_ES1371 is not set
+# CONFIG_SOUND_ESSSOLO1 is not set
+# CONFIG_SOUND_MAESTRO is not set
+# CONFIG_SOUND_MAESTRO3 is not set
+# CONFIG_SOUND_FORTE is not set
+# CONFIG_SOUND_ICH is not set
+# CONFIG_SOUND_RME96XX is not set
+# CONFIG_SOUND_SONICVIBES is not set
+# CONFIG_SOUND_TRIDENT is not set
+# CONFIG_SOUND_MSNDCLAS is not set
+# CONFIG_SOUND_MSNDPIN is not set
+# CONFIG_SOUND_VIA82CXXX is not set
+# CONFIG_MIDI_VIA82CXXX is not set
+CONFIG_SOUND_OSS=y
+# CONFIG_SOUND_TRACEINIT is not set
+# CONFIG_SOUND_DMAP is not set
+# CONFIG_SOUND_AD1816 is not set
+# CONFIG_SOUND_AD1889 is not set
+# CONFIG_SOUND_SGALAXY is not set
+# CONFIG_SOUND_ADLIB is not set
+# CONFIG_SOUND_ACI_MIXER is not set
+# CONFIG_SOUND_CS4232 is not set
+# CONFIG_SOUND_EP93XX_NONE is not set
+# CONFIG_SOUND_EP93XX_AC97 is not set
+CONFIG_SOUND_EP93XX_I2S=y
+CONFIG_CODEC_CS4271=y
+# CONFIG_CODEC_CS4228A is not set
+# CONFIG_SOUND_SSCAPE is not set
+# CONFIG_SOUND_GUS is not set
+# CONFIG_SOUND_VMIDI is not set
+# CONFIG_SOUND_TRIX is not set
+# CONFIG_SOUND_MSS is not set
+# CONFIG_SOUND_MPU401 is not set
+# CONFIG_SOUND_NM256 is not set
+# CONFIG_SOUND_MAD16 is not set
+# CONFIG_SOUND_PAS is not set
+# CONFIG_PAS_JOYSTICK is not set
+# CONFIG_SOUND_PSS is not set
+# CONFIG_SOUND_SB is not set
+# CONFIG_SOUND_AWE32_SYNTH is not set
+# CONFIG_SOUND_KAHLUA is not set
+# CONFIG_SOUND_WAVEFRONT is not set
+# CONFIG_SOUND_MAUI is not set
+# CONFIG_SOUND_YM3812 is not set
+# CONFIG_SOUND_OPL3SA1 is not set
+# CONFIG_SOUND_OPL3SA2 is not set
+# CONFIG_SOUND_YMFPCI is not set
+# CONFIG_SOUND_YMFPCI_LEGACY is not set
+# CONFIG_SOUND_UART6850 is not set
+# CONFIG_SOUND_AEDSP16 is not set
+# CONFIG_SOUND_VIDC is not set
+# CONFIG_SOUND_WAVEARTIST is not set
+# CONFIG_SOUND_TVMIXER is not set
 
 #
 # Multimedia Capabilities Port drivers
Index: arch/arm/def-configs/epxa10db
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/epxa10db,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/epxa10db	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/epxa10db	4 Aug 2004 01:25:37 -0000	1.2
@@ -422,7 +422,6 @@
 # ATA/ATAPI/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/epxa1db
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/epxa1db,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/epxa1db	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/epxa1db	4 Aug 2004 01:25:37 -0000	1.2
@@ -404,7 +404,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/flexanet
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/flexanet,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/flexanet	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/flexanet	4 Aug 2004 01:25:37 -0000	1.2
@@ -479,7 +479,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/footbridge
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/footbridge,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/footbridge	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/footbridge	4 Aug 2004 01:25:37 -0000	1.2
@@ -437,7 +437,6 @@
 CONFIG_IDEDMA_AUTO=y
 # CONFIG_IDEDMA_IVB is not set
 # CONFIG_DMA_NONPCI is not set
-CONFIG_BLK_DEV_IDE_MODES=y
 
 #
 # SCSI support
Index: arch/arm/def-configs/fortunet
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/fortunet,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/fortunet	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/fortunet	4 Aug 2004 01:25:38 -0000	1.2
@@ -295,7 +295,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/freebird
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/freebird,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/freebird	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/freebird	4 Aug 2004 01:25:38 -0000	1.2
@@ -384,7 +384,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/freebird_new
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/freebird_new,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/freebird_new	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/freebird_new	4 Aug 2004 01:25:38 -0000	1.2
@@ -398,7 +398,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/frodo
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/frodo,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/frodo	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/frodo	4 Aug 2004 01:25:38 -0000	1.2
@@ -462,7 +462,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/graphicsclient
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/graphicsclient,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/graphicsclient	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/graphicsclient	4 Aug 2004 01:25:38 -0000	1.2
@@ -533,7 +533,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/graphicsmaster
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/graphicsmaster,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/graphicsmaster	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/graphicsmaster	4 Aug 2004 01:25:38 -0000	1.2
@@ -535,7 +535,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/h3600
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/h3600,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/h3600	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/h3600	4 Aug 2004 01:25:38 -0000	1.2
@@ -482,7 +482,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/huw_webpanel
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/huw_webpanel,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/huw_webpanel	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/huw_webpanel	4 Aug 2004 01:25:38 -0000	1.2
@@ -227,7 +227,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/integrator
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/integrator,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/integrator	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/integrator	4 Aug 2004 01:25:38 -0000	1.2
@@ -410,7 +410,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/jornada720
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/jornada720,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/jornada720	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/jornada720	4 Aug 2004 01:25:38 -0000	1.2
@@ -482,7 +482,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/lart
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/lart,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/lart	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/lart	4 Aug 2004 01:25:38 -0000	1.2
@@ -484,7 +484,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/lusl7200
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/lusl7200,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/lusl7200	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/lusl7200	4 Aug 2004 01:25:38 -0000	1.2
@@ -161,7 +161,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/nanoengine
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/nanoengine,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/nanoengine	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/nanoengine	4 Aug 2004 01:25:38 -0000	1.2
@@ -413,7 +413,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/neponset
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/neponset,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/neponset	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/neponset	4 Aug 2004 01:25:38 -0000	1.2
@@ -455,7 +455,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/omaha
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/omaha,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/omaha	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/omaha	4 Aug 2004 01:25:38 -0000	1.2
@@ -358,7 +358,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/omnimeter
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/omnimeter,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/omnimeter	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/omnimeter	4 Aug 2004 01:25:38 -0000	1.2
@@ -314,7 +314,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pangolin
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pangolin,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pangolin	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pangolin	4 Aug 2004 01:25:38 -0000	1.2
@@ -434,7 +434,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pfs168_mqtft
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pfs168_mqtft,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pfs168_mqtft	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pfs168_mqtft	4 Aug 2004 01:25:38 -0000	1.2
@@ -458,7 +458,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pfs168_mqvga
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pfs168_mqvga,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pfs168_mqvga	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pfs168_mqvga	4 Aug 2004 01:25:38 -0000	1.2
@@ -458,7 +458,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pfs168_sastn
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pfs168_sastn,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pfs168_sastn	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pfs168_sastn	4 Aug 2004 01:25:38 -0000	1.2
@@ -459,7 +459,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pfs168_satft
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pfs168_satft,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pfs168_satft	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pfs168_satft	4 Aug 2004 01:25:38 -0000	1.2
@@ -458,7 +458,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/pleb
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/pleb,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/pleb	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/pleb	4 Aug 2004 01:25:38 -0000	1.2
@@ -331,7 +331,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/riscstation
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/riscstation,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/riscstation	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/riscstation	4 Aug 2004 01:25:38 -0000	1.2
@@ -372,7 +372,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/rpc
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/rpc,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/rpc	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/rpc	4 Aug 2004 01:25:38 -0000	1.2
@@ -412,7 +412,6 @@
 CONFIG_IDEDMA_AUTO=y
 # CONFIG_IDEDMA_IVB is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/shannon
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/shannon,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/shannon	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/shannon	4 Aug 2004 01:25:38 -0000	1.2
@@ -387,7 +387,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 
 #
Index: arch/arm/def-configs/shark
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/shark,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/shark	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/shark	4 Aug 2004 01:25:38 -0000	1.2
@@ -391,7 +391,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/system3
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/system3,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/system3	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/system3	4 Aug 2004 01:25:38 -0000	1.2
@@ -496,7 +496,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/ts7260
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/ts7260,v
retrieving revision 1.1
retrieving revision 1.3
diff -u -r1.1 -r1.3
--- arch/arm/def-configs/ts7260	2 Mar 2006 20:55:55 -0000	1.1
+++ arch/arm/def-configs/ts7260	5 Jun 2006 23:55:11 -0000	1.3
@@ -706,6 +706,10 @@
 # CONFIG_SERIAL_ANAKIN_CONSOLE is not set
 # CONFIG_SERIAL_AMBA is not set
 CONFIG_SERIAL_TSUART=m
+CONFIG_SERIAL_TSUART7260=m
+# CONFIG_SERIAL_TSUART73 is not set
+# CONFIG_SERIAL_TSUART940 is not set
+CONFIG_SERIAL_TSUART3BAT=m
 CONFIG_SERIAL_EP93XX=y
 # CONFIG_SERIAL_AMBA is not set
 CONFIG_SERIAL_AMBA_CONSOLE=y
@@ -982,6 +986,7 @@
 CONFIG_FB=y
 CONFIG_DUMMY_CONSOLE=y
 CONFIG_FB_TS7KV=m
+# CONFIG_FB_TS7300 is not set
 # CONFIG_FB_ACORN is not set
 # CONFIG_FB_EP93XX is not set
 # CONFIG_FB_ANAKIN is not set
Index: arch/arm/def-configs/ts7400
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/ts7400,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/ts7400	13 Nov 2006 18:25:29 -0000	1.1
+++ arch/arm/def-configs/ts7400	13 Dec 2006 18:45:10 -0000	1.2
@@ -641,7 +641,7 @@
 # CONFIG_SERIAL_AMBA is not set
 CONFIG_SERIAL_TSUART=y
 # CONFIG_SERIAL_TSUART7260 is not set
-CONFIG_SERIAL_TSUART73=y
+# CONFIG_SERIAL_TSUART73=y
 # CONFIG_SERIAL_TSUART940 is not set
 # CONFIG_SERIAL_TSUART3BAT is not set
 # CONFIG_SERIAL_TSUART4PAC is not set
Index: arch/arm/kernel/calls.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/kernel/calls.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/kernel/calls.S	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/kernel/calls.S	4 Aug 2004 01:25:38 -0000	1.2
@@ -115,7 +115,7 @@
 		.long	SYMBOL_NAME(sys_ni_syscall)		/* was sys_profil */
 		.long	SYMBOL_NAME(sys_statfs)
 /* 100 */	.long	SYMBOL_NAME(sys_fstatfs)
-		.long	SYMBOL_NAME(sys_ni_syscall)
+		.long	SYMBOL_NAME(sys_ni_syscall)		/* 101 was sys_ioperm */
 		.long	SYMBOL_NAME(sys_socketcall)
 		.long	SYMBOL_NAME(sys_syslog)
 		.long	SYMBOL_NAME(sys_setitimer)
@@ -126,7 +126,7 @@
 		.long	SYMBOL_NAME(sys_ni_syscall)		/* was sys_uname */
 /* 110 */	.long	SYMBOL_NAME(sys_ni_syscall)		/* was sys_iopl */
 		.long	SYMBOL_NAME(sys_vhangup)
-		.long	SYMBOL_NAME(sys_ni_syscall)
+		.long	SYMBOL_NAME(sys_ni_syscall)		/* 112 was sys_idle */
 		.long	SYMBOL_NAME(sys_syscall)		/* call a syscall */
 		.long	SYMBOL_NAME(sys_wait4)
 /* 115 */	.long	SYMBOL_NAME(sys_swapoff)
@@ -137,7 +137,7 @@
 /* 120 */	.long	SYMBOL_NAME(sys_clone_wapper)
 		.long	SYMBOL_NAME(sys_setdomainname)
 		.long	SYMBOL_NAME(sys_newuname)
-		.long	SYMBOL_NAME(sys_ni_syscall)
+		.long	SYMBOL_NAME(sys_ni_syscall)		/* 123 was sys_modify_ldt */
 		.long	SYMBOL_NAME(sys_adjtimex)
 /* 125 */	.long	SYMBOL_NAME(sys_mprotect)
 		.long	SYMBOL_NAME(sys_sigprocmask)
@@ -180,7 +180,7 @@
 		.long	SYMBOL_NAME(sys_arm_mremap)
 		.long	SYMBOL_NAME(sys_setresuid16)
 /* 165 */	.long	SYMBOL_NAME(sys_getresuid16)
-		.long	SYMBOL_NAME(sys_ni_syscall)
+		.long	SYMBOL_NAME(sys_ni_syscall)		/* 166 was sys_vm86 */
 		.long	SYMBOL_NAME(sys_query_module)
 		.long	SYMBOL_NAME(sys_poll)
 		.long	SYMBOL_NAME(sys_nfsservctl)
Index: arch/arm/kernel/dma-rpc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/kernel/dma-rpc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/kernel/dma-rpc.c	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/kernel/dma-rpc.c	4 Aug 2004 01:25:38 -0000	1.2
@@ -26,19 +26,6 @@
 #include <asm/mach/dma.h>
 #include <asm/hardware/iomd.h>
 
-#if 0
-typedef enum {
-	dma_size_8	= 1,
-	dma_size_16	= 2,
-	dma_size_32	= 4,
-	dma_size_128	= 16
-} dma_size_t;
-
-typedef struct {
-	dma_size_t	transfersize;
-} dma_t;
-#endif
-
 #define TRANSFER_SIZE	2
 
 #define CURA	(0)
@@ -48,10 +35,6 @@
 #define CR	(IOMD_IO0CR - IOMD_IO0CURA)
 #define ST	(IOMD_IO0ST - IOMD_IO0CURA)
 
-#define state_prog_a	0
-#define state_wait_a	1
-#define state_wait_b	2
-
 static void iomd_get_next_sg(struct scatterlist *sg, dma_t *dma)
 {
 	unsigned long end, offset, flags = 0;
@@ -65,7 +48,7 @@
 		if (end > PAGE_SIZE)
 			end = PAGE_SIZE;
 
-		if (offset + (int) TRANSFER_SIZE > end)
+		if (offset + TRANSFER_SIZE >= end)
 			flags |= DMA_END_L;
 
 		sg->length = end - TRANSFER_SIZE;
@@ -103,27 +86,31 @@
 		if (!(status & DMA_ST_INT))
 			return;
 
-		if (status & DMA_ST_OFL && !dma->sg)
-			break;
-
-		iomd_get_next_sg(&dma->cur_sg, dma);
+		if ((dma->state ^ status) & DMA_ST_AB)
+			iomd_get_next_sg(&dma->cur_sg, dma);
 
 		switch (status & (DMA_ST_OFL | DMA_ST_AB)) {
 		case DMA_ST_OFL:			/* OIA */
 		case DMA_ST_AB:				/* .IB */
 			iomd_writel(dma->cur_sg.dma_address, base + CURA);
 			iomd_writel(dma->cur_sg.length, base + ENDA);
+			dma->state = DMA_ST_AB;
 			break;
 
 		case DMA_ST_OFL | DMA_ST_AB:		/* OIB */
 		case 0:					/* .IA */
 			iomd_writel(dma->cur_sg.dma_address, base + CURB);
 			iomd_writel(dma->cur_sg.length, base + ENDB);
+			dma->state = 0;
 			break;
 		}
+
+		if (status & DMA_ST_OFL &&
+		    dma->cur_sg.length == (DMA_END_S|DMA_END_L))
+			break;
 	} while (1);
 
-	iomd_writeb(0, base + CR);
+	dma->state = ~DMA_ST_AB;
 	disable_irq(irq);
 }
 
@@ -158,6 +145,7 @@
 		}
 
 		iomd_writeb(DMA_CR_C, dma_base + CR);
+		dma->state = DMA_ST_AB;
 	}
 		
 	if (dma->dma_mode == DMA_MODE_READ)
@@ -171,13 +159,11 @@
 {
 	unsigned long dma_base = dma->dma_base;
 	unsigned long flags;
-	unsigned int ctrl;
 
 	local_irq_save(flags);
-	ctrl = iomd_readb(dma_base + CR);
-	if (ctrl & DMA_CR_E)
+	if (dma->state != ~DMA_ST_AB)
 		disable_irq(dma->dma_irq);
-	iomd_writeb(ctrl & ~DMA_CR_E, dma_base + CR);
+	iomd_writeb(0, dma_base + CR);
 	local_irq_restore(flags);
 }
 
Index: arch/arm/kernel/entry-armv.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/kernel/entry-armv.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/kernel/entry-armv.S	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/kernel/entry-armv.S	4 Aug 2004 01:25:38 -0000	1.2
@@ -717,12 +717,11 @@
 		mrs	r9, cpsr			@ Enable interrupts if they were
 		tst	r3, #I_BIT
 		biceq	r9, r9, #I_BIT			@ previously
-		mov	r0, r2				@ *** remove once everyones in sync
 /*
  * This routine must not corrupt r9
  */
 #ifdef MULTI_CPU
-		ldr	r4, .LCprocfns			@ pass r0, r3 to
+		ldr	r4, .LCprocfns			@ pass r2, r3 to
 		mov	lr, pc				@ processor code
 		ldr	pc, [r4]			@ call processor specific code
 #else
@@ -828,9 +827,8 @@
 		stmdb	r5, {sp, lr}^
 		alignment_trap r7, r7, __temp_abt
 		zero_fp
-		mov	r0, r2				@ remove once everyones in sync
 #ifdef MULTI_CPU
-		ldr	r4, .LCprocfns			@ pass r0, r3 to
+		ldr	r4, .LCprocfns			@ pass r2, r3 to
 		mov	lr, pc				@ processor code
 		ldr	pc, [r4]			@ call processor specific code
 #else
@@ -880,7 +878,8 @@
 		adrsvc	al, r9, ret_from_exception	@ r9  = normal FP return
 		adrsvc	al, lr, fpundefinstr		@ lr  = undefined instr return
 
-call_fpe:	get_current_task r10
+call_fpe:	enable_irq r10
+		get_current_task r10
 		mov	r8, #1
 		strb	r8, [r10, #TSK_USED_MATH]	@ set current->used_math
 		ldr	r4, .LCfp
